Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Class AMXAttributes

    java.lang.Object
      com.sun.appserv.management.base.AMXAttributes

public final class AMXAttributes
extends java.lang.Object

Attributes available within the MBean every AMX references. These Attributes names are needed when accessing MBeans directly via `StdAttributesAccess.getAttribute(java.lang.String)` or `StdAttributesAccess.getAttributes(java.lang.String[])`.

Field Summary
`static java.lang.String` | `ATTR_ATTRIBUTE_NAMES` Attribute of type String[]
`static java.lang.String` | `ATTR_CONTAINER_OBJECT_NAME` Attribute of type ObjectName.
`static java.lang.String` | `ATTR_FULL_TYPE` Attribute of type String.
`static java.lang.String` | `ATTR_GROUP` Attribute returned by getGroup().
`static java.lang.String` | `ATTR_INTERFACE_NAME` Attribute of type String which denotes the classname of the proxy (AMX) for this MBean.
`static java.lang.String` | `ATTR_MBEAN_INFO_IS_INVARIANT` Attribute of type boolean.
`static java.lang.String` | `ATTR_NAME` Attribute returned by getName().
`static java.lang.String` | `ATTR_OBJECT_NAME` Attribute of type ObjectName; the ObjectName of this MBean.

Constructor Summary
`AMXAttributes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_OBJECT_NAME

    public static final java.lang.String ATTR_OBJECT_NAME

  Attribute of type ObjectName; the ObjectName of this MBean.

  See Also:
    `Extra.getObjectName()`, Constant Field Values

### ATTR_INTERFACE_NAME

    public static final java.lang.String ATTR_INTERFACE_NAME

  Attribute of type String which denotes the classname of the proxy (AMX) for this MBean.

  See Also:
    `Extra.getInterfaceName()`, Constant Field Values

### ATTR_CONTAINER_OBJECT_NAME

    public static final java.lang.String ATTR_CONTAINER_OBJECT_NAME

  Attribute of type ObjectName.

  See Also:
    `Extra.getInterfaceName()`, Constant Field Values

### ATTR_MBEAN_INFO_IS_INVARIANT

    public static final java.lang.String ATTR_MBEAN_INFO_IS_INVARIANT

  Attribute of type boolean.

  See Also:
    `Extra.getMBeanInfoIsInvariant()`, Constant Field Values

### ATTR_FULL_TYPE

    public static final java.lang.String ATTR_FULL_TYPE

  Attribute of type String.

  See Also:
    `AMX.getFullType()`, Constant Field Values

### ATTR_GROUP

    public static final java.lang.String ATTR_GROUP

  Attribute returned by getGroup().

  See Also:
    `AMX.getGroup()`, Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

  Attribute returned by getName().

  See Also:
    `AMX.getName()`, Constant Field Values

### ATTR_ATTRIBUTE_NAMES

    public static final java.lang.String ATTR_ATTRIBUTE_NAMES

  Attribute of type String[]

  See Also:
    `Extra.getAttributeNames()`, Constant Field Values

Constructor Detail

### AMXAttributes

    public AMXAttributes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.